=== UnitTests/CMakeLists.txt ===
if (MYGUI_BUILD_TEST_APP)
	add_subdirectory(TestApp)
endif ()
if (MYGUI_BUILD_UNITTESTS)
	add_subdirectory(UnitTest_AttachDetach)
	add_subdirectory(UnitTest_ChildAttach)
	add_subdirectory(UnitTest_Delegates)
	if (MYGUI_RENDERSYSTEM EQUAL 3)
		add_subdirectory(UnitTest_GraphView)
	endif ()
	add_subdirectory(UnitTest_HyperTextBox)
	add_subdirectory(UnitTest_ItemBox_Info)
	add_subdirectory(UnitTest_Layers)
	add_subdirectory(UnitTest_MultiList)
	add_subdirectory(UnitTest_RotatingSkin)
	add_subdirectory(UnitTest_RTTLayer)
	add_subdirectory(UnitTest_Spline)
	add_subdirectory(UnitTest_TextureAnimations)
	add_subdirectory(UnitTest_TreeControl)
endif ()
