=== Demos/Demo_Colour/CMakeLists.txt ===
mygui_demo(Demo_Colour)
