=== Demos/Demo_MsdfFont/CMakeLists.txt ===
mygui_demo(Demo_MsdfFont)
