=== debian/changelog ===
mygui (3.4.3+dfsg-3) unstable; urgency=medium

  * Team Upload

  [ Sébastien Noel ]
  * d/*.symbols: rename libraries for 64-bit time_t transition

 -- Antoine Le Gonidec <vv221@debian.org>  Thu, 09 Oct 2025 13:17:14 +0200

mygui (3.4.3+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Remove CDBS rule from original template

  [ Bret Curtis ]
  * New upstream release (3.4.3)
  * Update the symbols file
  * Modified d/copyright to remove exe (dfsg)
  * Set the build type explicitly

  [ Benjamin Drung ]
  * Rename libraries for 64-bit time_t transition.  Closes: #1063154

 -- Bret Curtis <psi29a@gmail.com>  Wed, 27 Mar 2024 10:30:43 +0100
