=== debian/control ===
Source: mygui
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bret Curtis <psi29a@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 cmake,
 doxygen,
 graphviz,
 libfreetype-dev,
 libgl-dev,
 libglew-dev,
 libogre-1.12-dev,
 libois-dev,
 pkgconf,
 pkg-kde-tools,
Homepage: http://www.ogre3d.org/tikiwiki/MyGUI
Standards-Version: 4.7.2
Section: libs
Vcs-Browser: https://salsa.debian.org/games-team/mygui
Vcs-Git: https://salsa.debian.org/games-team/mygui.git
X-Style: black

Package: libmygui-dev
Section: libdevel
Architecture: any
Depends:
 libmygui.opengl3platform0debian1t64 (= ${binary:Version}),
 libmygui.openglplatform0debian1t64 (= ${binary:Version}),
 libmyguiengine3debian1t64 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 mygui-doc,
Description: Fast, simple and flexible GUI for OpenMW - development files
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the headers and static libraries needed to develop
 programs using MyGUI.

Package: libmyguiengine3debian1t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libmyguiengine3debian1v5
Breaks:
 libmyguiengine3debian1v5 (<< ${source:Version}),
Architecture: any
Conflicts:
 libmyguiengine3debian1,
Replaces:
 libmyguiengine3debian1,
 libmyguiengine3debian1v5,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fast, simple and flexible GUI - shared library
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI runtime engine.

Package: libmygui.ogreplatform0debian1t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libmygui.ogreplatform0debian1v5
Breaks:
 libmygui.ogreplatform0debian1v5 (<< ${source:Version}),
Architecture: any
Conflicts:
 libmygui.ogreplatform0debian1,
Replaces:
 libmygui.ogreplatform0debian1,
 libmygui.ogreplatform0debian1v5,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fast, simple and flexible GUI - Ogre interface
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI interface to the Ogre graphics engine.

Package: libmygui.openglplatform0debian1t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libmygui.openglplatform0debian1v5
Breaks:
 libmygui.openglplatform0debian1v5 (<< ${source:Version}),
Architecture: any
Conflicts:
 libmygui.openglplatform0debian1,
Replaces:
 libmygui.openglplatform0debian1,
 libmygui.openglplatform0debian1v5,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fast, simple and flexible GUI - OpenGL interface
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI interface for OpenGL.

Package: libmygui.opengl3platform0debian1t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libmygui.opengl3platform0debian1v5
Breaks:
 libmygui.opengl3platform0debian1v5 (<< ${source:Version}),
Architecture: any
Conflicts:
 libmygui.opengl3platform0debian1,
Replaces:
 libmygui.opengl3platform0debian1,
 libmygui.opengl3platform0debian1v5,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fast, simple and flexible GUI - OpenGL3 interface
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI interface for OpenGL3.

Package: mygui-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: API documentations for MyGUI library
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI API reference for the MyGUIEngine library.
