=== debian/rules ===
#!/usr/bin/make -f

# resolves bug #984248: mygui: ftbfs with GCC-11
export DEB_CPPFLAGS_MAINT_APPEND = -DMYGUI_DONT_REPLACE_NULLPTR

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
#export DH_VERBOSE=1
%:
	dh $@ --with pkgkde_symbolshelper --buildsystem cmake

override_dh_auto_configure: debian/mygui-doc.docs
#	Don't autoconfigure, need to build for Ogre and OpenGL

override_dh_auto_install:
	mv $(CURDIR)/debian/tmp2 $(CURDIR)/debian/tmp

override_dh_auto_build:
#	build for OpenGL - Release configuration
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo -DMYGUI_BUILD_DEMOS=FALSE -DMYGUI_RENDERSYSTEM=4 \
	 -DMYGUI_BUILD_DOCS=TRUE -DMYGUI_BUILD_PLUGINS=FALSE -DMYGUI_BUILD_TOOLS=FALSE -DMYGUI_USE_SYSTEM_GLEW=TRUE \
	 -DMYGUI_DONT_USE_OBSOLETE=TRUE
	dh_auto_build
	${MAKE} install -C obj-$(DEB_BUILD_GNU_TYPE) DESTDIR=$(CURDIR)/debian/tmp2

#	build for OpenGL3 - Debug configuration
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo -DMYGUI_BUILD_DEMOS=FALSE -DMYGUI_RENDERSYSTEM=7 \
	 -DMYGUI_BUILD_DOCS=FALSE -DMYGUI_BUILD_PLUGINS=FALSE -DMYGUI_BUILD_TOOLS=FALSE -DMYGUI_USE_SYSTEM_GLEW=TRUE \
	 -DMYGUI_DONT_USE_OBSOLETE=TRUE
	dh_auto_build
	${MAKE} install -C obj-$(DEB_BUILD_GNU_TYPE) DESTDIR=$(CURDIR)/debian/tmp2

#	Build for Ogre platform, and tools - Release configuration
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo -DMYGUI_BUILD_DEMOS=FALSE -DMYGUI_RENDERSYSTEM=3 \
	 -DMYGUI_BUILD_DOCS=FALSE -DMYGUI_BUILD_PLUGINS=FALSE -DMYGUI_BUILD_TOOLS=FALSE \
	 -DMYGUI_DONT_USE_OBSOLETE=TRUE
	dh_auto_build
	${MAKE} install -C obj-$(DEB_BUILD_GNU_TYPE) DESTDIR=$(CURDIR)/debian/tmp2

override_dh_install:
	cd obj-$(DEB_BUILD_GNU_TYPE)/Docs && doxygen Doxyfile && cd $(CURDIR)
	find debian/ -type d -empty -delete
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig
	mv $(CURDIR)/debian/tmp/usr/lib/pkgconfig/MYGUI.pc $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/MYGUI.pc
	dh_install -Xlicense.txt -Xttf

override_dh_installdocs:
	dh_installdocs -X.md5 -X.map -Xjquery.js

debian/%.docs: debian/%.docs.in
	sed 's/@BUILD_DIR@/obj-$(DEB_BUILD_GNU_TYPE)/g' $< > $@

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(DEB_UPSTREAM_VERSION)
