=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=auto \
https://github.com/MyGUI/mygui/tags \
(?:.*?/)?MyGUI-?@ANY_VERSION@@ARCHIVE_EXT@
